---
// Component Imports
import Counter from '@components/react/Counter';
import CounterVue from '@components/vue/CounterVue.vue';

const someProperties = {
  count: 0,
};

// Full Astro Component Syntax:
// https://docs.astro.build/basics/astro-components/
---

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width" />
    <meta name="generator" content={Astro.generator} />
    <link rel="icon" type="image/svg+xml" href="/favicon.svg" />
    <style>
      html,
      body {
        font-family: system-ui;
        margin: 0;
      }
      body {
        padding: 2rem;
      }
      .dev {
        font-size: 1rem;
        color: #666;
        display: flex;
        justify-content: center;
        align-items: center;
      }
    </style>
  </head>
  <body>
    <main>
      <CounterVue client:only="vue">
        <h1>Hello, Vue!</h1>
      </CounterVue>
      <br />
      <div class="dev">
        <p>======================================================</p>
      </div>
      <Counter {...someProperties} client:only="react">
        <h1>Hello, React!</h1>
      </Counter>
    </main>
  </body>
</html>
